GNU Radio C++ API Reference: gr::blocks::file_sink_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::blocks::file_sink_base Class Reference

Common base class for file sinks. More...

`#include <gnuradio/blocks/file_sink_base.h>`

## Public Member Functions
| file_sink_base ()
| ~file_sink_base ()
bool | open (const char *filename)
| Open filename and begin output to it.
void | close ()
| Close current output file.
void | do_update ()
| if we've had an update, do it now.
void | set_unbuffered (bool unbuffered)
| turn on unbuffered writes for slower outputs

## Protected Member Functions
| file_sink_base (const char *filename, bool is_binary, bool append)

## Protected Attributes
FILE * | d_fp
FILE * | d_new_fp
bool | d_updated
bool | d_is_binary
gr::thread::mutex | d_mutex
bool | d_unbuffered
bool | d_append
gr::logger_ptr | d_base_logger
gr::logger_ptr | d_base_debug_logger

## Detailed Description

Common base class for file sinks.

## Constructor & Destructor Documentation

## ◆ file_sink_base() [1/2]

gr::blocks::file_sink_base::file_sink_base | ( | const char * | filename,
|  | bool | is_binary,
|  | bool | append )
| protected

## ◆ file_sink_base() [2/2]

gr::blocks::file_sink_base::file_sink_base | ( |  | ) |
| inline

## ◆ ~file_sink_base()

gr::blocks::file_sink_base::~file_sink_base | ( |  | ) |

## Member Function Documentation

## ◆ close()

void gr::blocks::file_sink_base::close | ( |  | ) |

Close current output file.

Closes current output file and ignores any output until open is called to connect to another file.

## ◆ do_update()

void gr::blocks::file_sink_base::do_update | ( |  | ) |

if we've had an update, do it now.

## ◆ open()

bool gr::blocks::file_sink_base::open | ( | const char * | filename | ) |

Open filename and begin output to it.

## ◆ set_unbuffered()

void gr::blocks::file_sink_base::set_unbuffered | ( | bool | unbuffered | ) |

turn on unbuffered writes for slower outputs

## Member Data Documentation

## ◆ d_append

bool gr::blocks::file_sink_base::d_append
| protected

## ◆ d_base_debug_logger

gr::logger_ptr gr::blocks::file_sink_base::d_base_debug_logger
| protected

## ◆ d_base_logger

gr::logger_ptr gr::blocks::file_sink_base::d_base_logger
| protected

## ◆ d_fp

FILE* gr::blocks::file_sink_base::d_fp
| protected

## ◆ d_is_binary

bool gr::blocks::file_sink_base::d_is_binary
| protected

## ◆ d_mutex

gr::thread::mutex gr::blocks::file_sink_base::d_mutex
| protected

## ◆ d_new_fp

FILE* gr::blocks::file_sink_base::d_new_fp
| protected

## ◆ d_unbuffered

bool gr::blocks::file_sink_base::d_unbuffered
| protected

## ◆ d_updated

bool gr::blocks::file_sink_base::d_updated
| protected

The documentation for this class was generated from the following file:

- file_sink_base.h